Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.persistence.dao
Class RealmConfigurationDAO

    java.lang.Object
      org.wso2.solutions.identity.persistence.dao.BaseDAO
          org.wso2.solutions.identity.persistence.dao.RealmConfigurationDAO

    public class RealmConfigurationDAO

extends BaseDAO

Field Summary

Fields inherited from class org.wso2.solutions.identity.persistence.dao.BaseDAO
`log, messages`

Constructor Summary
`RealmConfigurationDAO(HibernateConfig config)`

Method Summary
`RealmConfigurationDO[]` | `getAllRealmConfigurations()`
`RealmConfigurationDO` | `getEffectiveRealmConfiguration()` Returns the selected realm for the identity provider.
`RealmConfigurationDO` | `getRealmConfiguration(java.lang.String name)` Returns the realm configuration identified by the given name.

Methods inherited from class org.wso2.solutions.identity.persistence.dao.BaseDAO
`create, createOrUpdate, delete, executeSingleDMLStatement, getDataObject, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealmConfigurationDAO

    public RealmConfigurationDAO(HibernateConfig config)

Method Detail

### getAllRealmConfigurations

    public RealmConfigurationDO[] getAllRealmConfigurations()

### getEffectiveRealmConfiguration

    public RealmConfigurationDO getEffectiveRealmConfiguration()

  Returns the selected realm for the identity provider.

  Returns:

### getRealmConfiguration

    public RealmConfigurationDO getRealmConfiguration(java.lang.String name)

  Returns the realm configuration identified by the given name.

  Parameters:
    `name` - Name of the required realm configuration.
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD